com.singularsys.jep.reals

## Class RealComponents

- java.lang.Object
- - com.singularsys.jep.ComponentSet
  - - com.singularsys.jep.reals.RealComponents

-     public class RealComponents
      extends ComponentSet

  A set of components for real (non-complex) evaluation. Evaluating `sqrt(-1)` will return NaN rather than a complex number. Function `asin(2), acos(2), acosh(0.5), atanh(2), ln(-1), log(-1), lg(-1)` also returns NaN. Furthermore, the constant `i` is not defined. This set of components does not use the `RealEvaluator` so it is still possible to mix doubles and strings.
  Since:
    3.5
  See Also:
    `RealVariableTable`, `RealFunctionTable`

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.ComponentSet

      `auxComps, evaluator, funTab, nodeFac, numFac, opTab, parser, pv, varFac, varTab`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealComponents()`
    `RealComponents(Jep j)` Build a set of components using those from the jep instance and standard components if the jep components are null.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Evaluator` | `createDefaultEvaluator()`
    `static FunctionTable` | `createDefaultFunctionTable()`
    `static NodeFactory` | `createDefaultNodeFactory()`
    `static NumberFactory` | `createDefaultNumberFactory()`
    `static OperatorTableI` | `createDefaultOperatorTable()`
    `static Parser` | `createDefaultParser()`
    `static PrintVisitor` | `createDefaultPrintVisitor()`
    `static VariableFactory` | `createDefaultVariableFactory()`
    `static VariableTable` | `createDefaultVariableTable(VariableFactory vf)`

    - ### Methods inherited from class com.singularsys.jep.ComponentSet

      `addAuxComponent, addComponents, getAuxComponents, getAuxComps, getBaseComponents, getComponents, getEvaluator, getFunctionTable, getNodeFactory, getNumberFactory, getOperatorTable, getParser, getPrintVisitor, getVariableFactory, getVariableTable, setAuxComps, setEvaluator, setFunctionTable, setNodeFactory, setNumberFactory, setOperatorTable, setParser, setPrintVisitor, setVariableFactory, setVariableTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RealComponents

          public RealComponents()

    - #### RealComponents

          public RealComponents(Jep j)

      Build a set of components using those from the jep instance and standard components if the jep components are null.
      Parameters:
        `j` -

  - ### Method Detail

    - #### createDefaultNumberFactory

          public static NumberFactory createDefaultNumberFactory()

    - #### createDefaultVariableFactory

          public static VariableFactory createDefaultVariableFactory()

    - #### createDefaultNodeFactory

          public static NodeFactory createDefaultNodeFactory()

    - #### createDefaultFunctionTable

          public static FunctionTable createDefaultFunctionTable()

    - #### createDefaultVariableTable

          public static VariableTable createDefaultVariableTable(VariableFactory vf)

    - #### createDefaultOperatorTable

          public static OperatorTableI createDefaultOperatorTable()

    - #### createDefaultParser

          public static Parser createDefaultParser()

    - #### createDefaultEvaluator

          public static Evaluator createDefaultEvaluator()

    - #### createDefaultPrintVisitor

          public static PrintVisitor createDefaultPrintVisitor()

Copyright © 2018 Singular Systems http://www.singularsys.com/jep